### Method

# Ide CompletionProvider key_activates

#### Declaration

    gboolean
    ide_completion_provider_key_activates (
      IdeCompletionProvider* self,
      IdeCompletionProposal* proposal,
      const GdkEventKey* key
    )

#### Description

This function is called to ask the provider if the key-press event should force activation of the proposal. This is useful for languages where you might want to activate the completion from a language-specific character.

For example, in C, you might want to use period (.) to activate the completion and insert either (.) or (->) based on the type.

Available since: | 3.32

#### Parameters

`proposal` | `IdeCompletionProposal`
| An `IdeCompletionProposal` created by the provider.
| The data is owned by the caller of the function.
`key` | `GdkEventKey`
| The `GdkEventKey` for the current keyboard event.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the proposal should be activated.